[arch-commits] Commit in python-locket/repos (2 files)

Evangelos Foutras foutrelis at archlinux.org
Mon Nov 9 15:34:38 UTC 2020


    Date: Monday, November 9, 2020 @ 15:34:38
  Author: foutrelis
Revision: 746989

archrelease: copy trunk to community-staging-any

Added:
  python-locket/repos/community-staging-any/
  python-locket/repos/community-staging-any/PKGBUILD
    (from rev 746988, python-locket/trunk/PKGBUILD)

----------+
 PKGBUILD |   35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

Copied: python-locket/repos/community-staging-any/PKGBUILD (from rev 746988, python-locket/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2020-11-09 15:34:38 UTC (rev 746989)
@@ -0,0 +1,35 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+
+_pkg=locket
+pkgname=python-${_pkg}
+pkgver=0.2.0
+pkgrel=2
+pkgdesc="File-based locks for Python"
+arch=(any)
+url="https://github.com/mwilliamson/locket.py"
+license=(BSD)
+makedepends=(python-setuptools)
+depends=(python)
+checkdepends=(python-nose python-spur)
+# No tests in pypi tarballs
+#source=(https://files.pythonhosted.org/packages/source/${_pkg::1}/${_pkg}/${_pkg}-${pkgver}.tar.gz)
+source=(${url}/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz)
+sha256sums=('85ae716ac9e929e03dc8ed5e2725159d2d7570735fb2d0981ad453910b574ed1')
+
+build() {
+  cd ${_pkg}.py-${pkgver}
+  python setup.py build
+}
+
+check() {
+  cd ${_pkg}.py-${pkgver}
+  # Failures with 3.8, dead upstream
+  nosetests || echo "Tests failed"
+}
+
+package() {
+  cd ${_pkg}.py-${pkgver}
+  python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
+  # Install license file
+  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
+}



More information about the arch-commits mailing list